## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 12;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global sdkver 1.3.239.0

Name:           spirv-headers
Version:        1.5.5
Release:        %autorelease
Summary:        Header files from the SPIR-V registry

License:        MIT
URL:            https://github.com/KhronosGroup/SPIRV-Headers/
Source0:        %url/archive/sdk-%{sdkver}.tar.gz#/SPIRV-Headers-sdk-%{sdkver}.tar.gz

BuildArch:      noarch

BuildRequires:  cmake3
BuildRequires:  ninja-build
BuildRequires:  gcc
BuildRequires:  gcc-c++

%description
%{summary}

This includes:

* Header files for various languages.
* JSON files describing the grammar for the SPIR-V core instruction
  set, and for the GLSL.std.450 extended instruction set.
* The XML registry file

%package        devel
Summary:        Development files for %{name}

%description    devel
%{summary}

This includes:

* Header files for various languages.
* JSON files describing the grammar for the SPIR-V core instruction
  set, and for the GLSL.std.450 extended instruction set.
* The XML registry fil

%prep
%autosetup -n SPIRV-Headers-sdk-%{sdkver}
chmod a-x include/spirv/1.2/spirv.py


%build
%cmake3 -DCMAKE_INSTALL_LIBDIR=%{_lib} -GNinja
%cmake_build

%install
%cmake_install

%files devel
%license LICENSE
%doc README.md
%{_includedir}/spirv/
%{_datadir}/cmake/SPIRV-Headers/*.cmake
%{_datadir}/pkgconfig/SPIRV-Headers.pc

%changelog
* Tue Jan 31 2023 Dave Airlie <airlied@redhat.com> - 1.5.5-12
- one more time on requires

* Tue Jan 31 2023 Dave Airlie <airlied@redhat.com> - 1.5.5-11
- add missing dep

* Tue Jan 31 2023 Dave Airlie <airlied@redhat.com> - 1.5.5-10
- add more pieces

* Tue Jan 31 2023 Dave Airlie <airlied@redhat.com> - 1.5.5-9
- spirv-headers: add the missing bits

* Mon Jan 30 2023 Dave Airlie <airlied@redhat.com> - 1.5.5-8
- update spirv headers to 1.3.239.0 SDK

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Nov 09 2022 Dave Airlie <airlied@redhat.com> - 1.5.5-6
- Update to spirv headers for 1.3.231.1 sdk

* Wed Aug 24 2022 Dave Airlie <airlied@redhat.com> - 1.5.5-5
- Update to spirv headers for 1.3.224 sdk

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 16 2022 Dave Airlie <airlied@redhat.com> - 1.5.5-3
- Update to spirv headers for 1.3.216 sdk

* Wed Apr 27 2022 Dave Airlie <airlied@redhat.com> - 1.5.5-2
- Update to spirv headers for 1.3.211 sdk

* Tue Feb 15 2022 Dave Airlie <airlied@redhat.com> - 1.5.5-1
- Update to spirv headers for 1.3.204 sdk

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 23 2021 Dave Airlie <airlied@redhat.com> - 1.5.4-9
- fix missing digit in date

* Tue Nov 23 2021 Dave Airlie <airlied@redhat.com> - 1.5.4-8
- Update to spirv headers for 1.2.198 sdk

* Tue Sep 07 2021 Dave Airlie <airlied@redhat.com> - 1.5.4-7
- Update to spirv headers for 1.2.189 sdk

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 06 2021 Dave Airlie <airlied@redhat.com> - 1.5.4-5
- Update to spirv headers for 1.2.182 sdk

* Tue May 18 2021 Dave Airlie <airlied@redhat.com> - 1.5.4-4
- Update to spirv headers for 1.2.176 sdk

* Thu Jan 28 2021 Dave Airlie <airlied@redhat.com> - 1.5.4-3
- Update to spirv headers for 1.2.162 sdk

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Nov 02 2020 Dave Airlie <airlied@redhat.com> - 1.5.4-1
- Update to latest spirv headers

* Tue Aug 04 2020 Dave Airlie <airlied@redhat.com> - 1.5.1-5
- Update to latest spirv headers

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Apr 21 2020 Dave Airlie <airlied@redhat.com> - 1.5.1-3
- Update to latest spirv headers

* Tue Jan 28 2020 Dave Airlie <airlied@redhat.com> - 1.5.1-2
- Update to latest spirv headers

* Tue Nov 12 2019 Dave Airlie <airlied@redhat.com> - 1.5.1-1
- Latest git snapshot building vulkan

* Thu Aug 01 2019 Dave Airlie <airlied@redhat.com> - 1.4.2-1
- Latest git snapshot for building vulkan.

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jun 10 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.1-1
- Release 1.4.1

* Wed Mar 06 2019 Dave Airlie <airlied@redhat.com> - 1.2-15
- Update to latest version

* Mon Feb 04 2019 Dave Airlie <airlied@redhat.com> - 1.2-14
- Update to latest version

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Oct 20 2018 leigh123linux <leigh123linux@googlemail.com> - 1.2-12
- Revert last commit

* Sat Oct 20 2018 leigh123linux <leigh123linux@googlemail.com> - 1.2-11
- Revert "Update for SPIRV-Tools-2018.5"

* Sat Oct 20 2018 leigh123linux <leigh123linux@googlemail.com> - 1.2-10
- Update for SPIRV-Tools-2018.5

* Mon Jul 23 2018 leigh123linux <leigh123linux@googlemail.com> - 1.2-9
- Update for SPIRV-Tools-2018.4

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Apr 24 2018 leigh123linux <leigh123linux@googlemail.com> - 1.2-7
- Update for vulkan 1.0.73.0

* Fri Feb 09 2018 leigh123linux <leigh123linux@googlemail.com> - 1.2-6
- Update for vulkan 1.0.68.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 22 2018 leigh123linux <leigh123linux@googlemail.com> - 1.2-4
- fix rpmlint error

* Tue Jan 09 2018 leigh123linux <leigh123linux@googlemail.com> - 1.2-3
- fix rpmlint error

* Tue Jan 02 2018 leigh123linux <leigh123linux@googlemail.com> - 1.2-2
- remove unused build requires

* Tue Jan 02 2018 leigh123linux <leigh123linux@googlemail.com> - 1.2-1
- First build
